Subject: bug#25838: 25.1; Eshell history polluted by eshell/clear

From: Thomas Ferreira <[email-masked]>
Date: Thu, 23 Feb 2017 04:20:05 -0500

-------- Original Message --------
Subject: Re: bug#25838: 25.1; Eshell history polluted by eshell/clear

IMO, it should be filtering out newlines anyway, but since it is
customizable, it's not quite a satisfactory fix. We should also disable
eshell-add-to-history while sending the `eshell/clear'ing lines:

Thank you, I agree with you it's definitely a better way to fix this issue.